<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Update Idea Vote (v3) REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75427/update-idea-vote-v3-rest-endpoint</link><description>&lt;p&gt;&lt;span&gt;Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.&lt;/span&gt;&lt;/p&gt;</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Update Idea Vote (v3) REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75427/update-idea-vote-v3-rest-endpoint</link><pubDate>Fri, 08 Mar 2024 17:47:24 GMT</pubDate><guid isPermaLink="false">a0e9f1a4-3a6e-4114-b140-766ff1104651</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/13/w/api-documentation/75427/update-idea-vote-v3-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Ben Tiedt on 03/08/2024 17:47:24&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;POST (Header:PUT) api.ashx/v3/ideas/vote.{json|xml}&lt;/h2&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;IdeaId&lt;/td&gt;  &lt;td&gt;Guid&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Id of Idea&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;Value&lt;/td&gt;  &lt;td&gt;int&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The total amount of votes you wish to place for this idea.  It needs to be under the maximum amount of votes you have available for this ideation and below the maximum votes allowed for any idea in this ideation if specified.&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.put({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v3/ideas/vote.json&amp;#39;,
	data: { 
		&amp;#39;IdeaId&amp;#39;: &amp;#39;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;#39;,
		&amp;#39;Value&amp;#39;: &amp;#39;6&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;div class="documentation-section returns"&gt;&lt;h3&gt;Example Responses&lt;/h3&gt;&lt;h4&gt;JSON&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;{
  &amp;quot;Vote&amp;quot;: {
    &amp;quot;Data&amp;quot;: {},
    &amp;quot;Errors&amp;quot;: [
      &amp;quot;string&amp;quot;,
      &amp;quot;string&amp;quot;
    ],
    &amp;quot;Name&amp;quot;: &amp;quot;name&amp;quot;
  },
  &amp;quot;Errors&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ]
}&lt;/pre&gt;&lt;/div&gt;&lt;h4&gt;XML&lt;/h4&gt;&lt;pre class="brush: xml"&gt;&amp;lt;?xml version=&amp;quot;1.0&amp;quot; encoding=&amp;quot;utf-16&amp;quot;?&amp;gt;
&amp;lt;Response&amp;gt;
  &amp;lt;Vote&amp;gt;
    &amp;lt;Data /&amp;gt;
    &amp;lt;Errors&amp;gt;
      &amp;lt;string&amp;gt;string&amp;lt;/string&amp;gt;
      &amp;lt;string&amp;gt;string&amp;lt;/string&amp;gt;
    &amp;lt;/Errors&amp;gt;
    &amp;lt;Name&amp;gt;name&amp;lt;/Name&amp;gt;
  &amp;lt;/Vote&amp;gt;
  &amp;lt;Errors&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Errors&amp;gt;
&amp;lt;/Response&amp;gt;&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>